org.bdgenomics.adam.io

# FastqInputFormat

###
Related Doc: package io

#### abstract class FastqInputFormat extends FileInputFormat[Void, Text]

Linear Supertypes
FileInputFormat[Void, Text], InputFormat[Void, Text], AnyRef, Any
Known Subclasses
InterleavedFastqInputFormat, SingleFastqInputFormat
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FastqInputFormat
2. FileInputFormat
3. InputFormat
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new FastqInputFormat()

### Abstract Value Members

1. #### abstract def createRecordReader(arg0: InputSplit, arg1: TaskAttemptContext): RecordReader[Void, Text]

   Definition Classes
     InputFormat
   Annotations
     @throws( ... ) @throws( classOf[java.io.IOException] )

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def addInputPathRecursively(arg0: List[FileStatus], arg1: FileSystem, arg2: Path, arg3: PathFilter): Unit

   Attributes
     protected[org.apache.hadoop.mapreduce.lib.input]
   Definition Classes
     FileInputFormat
   Annotations
     @throws( classOf[java.io.IOException] )

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def computeSplitSize(arg0: Long, arg1: Long, arg2: Long): Long

   Attributes
     protected[org.apache.hadoop.mapreduce.lib.input]
   Definition Classes
     FileInputFormat

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### def getBlockIndex(arg0: Array[BlockLocation], arg1: Long): Int

    Attributes
      protected[org.apache.hadoop.mapreduce.lib.input]
    Definition Classes
      FileInputFormat

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def getFormatMinSplitSize(): Long

    Attributes
      protected[org.apache.hadoop.mapreduce.lib.input]
    Definition Classes
      FileInputFormat

14. #### def getSplits(arg0: JobContext): List[InputSplit]

    Definition Classes
      FileInputFormat → InputFormat
    Annotations
      @throws( classOf[java.io.IOException] )

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### def isSplitable(context: JobContext, filename: Path): Boolean

    Attributes
      protected[org.bdgenomics.adam.io]
    Definition Classes
      FastqInputFormat → FileInputFormat

18. #### def listStatus(arg0: JobContext): List[FileStatus]

    Attributes
      protected[org.apache.hadoop.mapreduce.lib.input]
    Definition Classes
      FileInputFormat
    Annotations
      @throws( classOf[java.io.IOException] )

19. #### def makeSplit(arg0: Path, arg1: Long, arg2: Long, arg3: Array[String], arg4: Array[String]): FileSplit

    Attributes
      protected[org.apache.hadoop.mapreduce.lib.input]
    Definition Classes
      FileInputFormat

20. #### def makeSplit(arg0: Path, arg1: Long, arg2: Long, arg3: Array[String]): FileSplit

    Attributes
      protected[org.apache.hadoop.mapreduce.lib.input]
    Definition Classes
      FileInputFormat

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from FileInputFormat[Void, Text]

### Inherited from InputFormat[Void, Text]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped